Class Index | File Index

## Classes

- _global_
- SIPml
- SIPml.Event
- SIPml.EventTarget
- SIPml.Session
- SIPml.Session.Call
- SIPml.Session.Configuration
- SIPml.Session.Event
- SIPml.Session.Message
- SIPml.Session.Publish
- SIPml.Session.Registration
- SIPml.Session.Subscribe
- SIPml.Stack
- SIPml.Stack.Configuration
- SIPml.Stack.Event

# Namespace SIPml

Defined in: SIPml.js.

Namespace Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| SIPml Root namesapce.

Method Summary
Method Attributes | Method Name and Description
--- | ---
<static> | SIPml.getNavigatorFriendlyName() Gets the web browser friendly name (e.g.
<static> | SIPml.getNavigatorVersion() Gets the web browser version (e.g.
<static> | SIPml.getSystemFriendlyName() Gets the Operating System friendly name (e.g.
<static> | SIPml.getWebRtc4AllVersion() Gets the version name of the installed webrtc4all plugin.
<static> | SIPml.haveMediaStream() Checks whether getUserMedia is supported or not.
<static> | SIPml.init(readyCallback, errorCallback) Initialize the engine.
<static> | SIPml.isInitialized() Checks whether the engine is initialized or not.
<static> | SIPml.isNavigatorOutdated() Checks whether the web browser supports WebRTC but is outdated.
<static> | SIPml.isReady() Checks whether the engine is ready to make/receive calls or not.
<static> | SIPml.isScreenShareSupported() Checks whether Screen share is supported on this browser.
<static> | SIPml.isWebRtc4AllPluginOutdated() Checks whether the webrtc4all plugin is outdated or not.
<static> | SIPml.isWebRtc4AllSupported() Checks whether the webrtc4all plugin is installed or not.
<static> | SIPml.isWebRtcSupported() Checks whether WebRTC is supported or not.
<static> | SIPml.isWebSocketSupported() Checks whether WebSocket is supported or not.
<static> | SIPml.setDebugLevel(level) Sets the debug level.

Namespace Detail
SIPml
Root namesapce.
Method Detail
<static> {String} SIPml.getNavigatorFriendlyName()
Gets the web browser friendly name (e.g. 'chrome', 'firefox', 'safari', 'opera', 'ie' or 'netscape'). You must initialize the engine before calling this function.

Throws:
{ERR_NOT_INITIALIZED}
  ERR_NOT_INITIALIZED if the engine is not initialized.

Returns:
  {String} The web browser friendly name.

<static> {String} SIPml.getNavigatorVersion()
Gets the web browser version (e.g. '1.5.beta'). You must initialize the engine before calling this function.

Throws:
{ERR_NOT_INITIALIZED}
  ERR_NOT_INITIALIZED if the engine is not initialized.

Returns:
  {String} The the web browser version.

<static> {String} SIPml.getSystemFriendlyName()
Gets the Operating System friendly name (e.g. 'windows', 'mac', 'lunix', 'solaris', 'sunos' or 'powerpc'). You must initialize the engine before calling this function.

Throws:
{ERR_NOT_INITIALIZED}
  ERR_NOT_INITIALIZED if the engine is not initialized.

Returns:
  {String} The Operating System friendly name.

<static> {String} SIPml.getWebRtc4AllVersion()
Gets the version name of the installed webrtc4all plugin. You must initialize the engine before calling this function.

Throws:
{ERR_NOT_INITIALIZED}
  ERR_NOT_INITIALIZED if the engine is not initialized.

Returns:
  {String} Version name (e.g. '1.12.756')

<static> {Boolean} SIPml.haveMediaStream()
Checks whether getUserMedia is supported or not. The engined must be initialized before calling this function.

Returns:
  {Boolean} true if getUserMedia is supported; otherwise false

<static> SIPml.init(readyCallback, errorCallback)
Initialize the engine. You must call this function before any other..

    SIPml.init(function(e){ console.info('engine is ready'); }, function(e){ console.info('Error: ' + e.message); });

Parameters:
{CallbackFunction} readyCallback Optional
  Optional callback function to call when the stack finish initializing and become ready.
{CallbackFunction} errorCallback Optional
  Optional callback function to call when initialization fails.

<static> {Boolean} SIPml.isInitialized()
Checks whether the engine is initialized or not. To initialize the stack you must call init() function.

Returns:
  {Boolean} true if the engine is initialized; otherwise false

<static> {Boolean} SIPml.isNavigatorOutdated()
Checks whether the web browser supports WebRTC but is outdated. You must initialize the engine before calling this function.

Throws:
{ERR_NOT_INITIALIZED}
  ERR_NOT_INITIALIZED if the engine is not initialized.

Returns:
  {Boolean} true if outdated; otherwise false

<static> {Boolean} SIPml.isReady()
Checks whether the engine is ready to make/receive calls or not.
The engine is ready when:

- engine is initialized
- webrtc is supported
- we got a valid media stream (from getUserMedia)

Throws:
{ERR_NOT_INITIALIZED}
  ERR_NOT_INITIALIZED if the engine is not initialized.

Returns:
  {Boolean} true if the engine is ready; otherwise false

<static> {Boolean} SIPml.isScreenShareSupported()
Checks whether Screen share is supported on this browser. You must initialize the engine before calling this function.

Since:
  version 1.3.203

Throws:
{ERR_NOT_INITIALIZED}
  ERR_NOT_INITIALIZED if the engine is not initialized.

Returns:
  {Boolean} true if supported; otherwise false

<static> {Boolean} SIPml.isWebRtc4AllPluginOutdated()
Checks whether the webrtc4all plugin is outdated or not. You must initialize the engine before calling this function.

Throws:
{ERR_NOT_INITIALIZED}
  ERR_NOT_INITIALIZED if the engine is not initialized.

Returns:
  {Boolean} true if outdated; otherwise false

<static> {Boolean} SIPml.isWebRtc4AllSupported()
Checks whether the webrtc4all plugin is installed or not. You must initialize the engine before calling this function.

Throws:
{ERR_NOT_INITIALIZED}
  ERR_NOT_INITIALIZED if the engine is not initialized.

Returns:
  {Boolean} true if supported; otherwise false

<static> {Boolean} SIPml.isWebRtcSupported()
Checks whether WebRTC is supported or not. You must initialize the engine before calling this function.

Throws:
{ERR_NOT_INITIALIZED}
  ERR_NOT_INITIALIZED if the engine is not initialized.

Returns:
  {Boolean} true if supported; otherwise false

<static> {Boolean} SIPml.isWebSocketSupported()
Checks whether WebSocket is supported or not.

Returns:
  {Boolean} true if supported; otherwise false

<static> SIPml.setDebugLevel(level)
Sets the debug level.

Parameters:
{String} level
  The level. Supported values: info, warn, error and fatal.

Since:
  version 1.3.203

Documentation generated by JsDoc Toolkit 2.4.0 on Wed Sep 25 2013 03:40:14 GMT+0200 (CEST)